commoble.bagofyurting

## Class TransientPlayerData

- java.lang.Object
- - commoble.bagofyurting.TransientPlayerData

    public class TransientPlayerData
    extends java.lang.Object

Class that holds information on players on the server This should only be referenced from the server thread Data should be considered temporary, no data is saved on world save

### Constructor Summary

Constructors
Constructor and Description
`TransientPlayerData()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isPlayerOverridingSafetyList(java.util.UUID id)`
`static void` `setOverridingSafetyList(java.util.UUID id, boolean isSprinting)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TransientPlayerData

    public TransientPlayerData()

### Method Detail

#### setOverridingSafetyList

    public static void setOverridingSafetyList(java.util.UUID id,
                                               boolean isSprinting)

#### isPlayerOverridingSafetyList

    public static boolean isPlayerOverridingSafetyList(java.util.UUID id)